local VEHICLE, TOOL, OBJECT, PLACEABLE = "VEHICLE","TOOL", "OBJECT", "PLACEABLE"

function TidyShop:initializeCategories()
    --? ### VEHICLES ###

    --*** CLEANUP BASEGAME CATEGORIES ***
    self:moveCategory("VEGETABLEVEHICLES", "BEETVEHICLES", 1)
    self:moveCategory("VEGETABLETOOLS", "BEETHARVESTING", 1)


    --*** Categories positioned based on TRACTORS ***
    self:addCategory(VEHICLE, "TRACTORSXS", "Compact / Sub-compact Tractors", "images/cat_tractorsxs.dds", "TRACTORSS", -1) -- Credits: Free PNG
    self:addCategory(VEHICLE, "TRACTORSXL", "XL / Tracked Tractors", "$data/vehicles/fendt/mt1100/store_mt1100.dds", "TRACTORSL", 1) -- Credits: Giants


    --*** Categories positioned based on CARS ***
    self:addCategory(VEHICLE, "ATV", "UTV & ATV", "images/cat_atv.dds", "CARS", -1) -- Credits: Farmer_Andy
    self:addCategory(VEHICLE, "LCV", "Light Commercial Vehicles", "images/cat_lcv.dds", "CARS", 1) -- Credits: MB ProductWeb Image
    
    --*** Categories positioned based on TRUCKS ***
    -- self:addCategory(VEHICLE, "SMALLTRUCKS", "Small Trucks", "images/cat_smalltrucks.dds", "TRUCKS", -1); --TODO: TBD
        
    -- self:addCategory(VEHICLE, "SPECIALTRUCKS", "Fixed-body Trucks", "images/cat_fixedbodytrucks.dds", "TRUCKS", 1); -- Credits: Farmer_Andy
    self:addCategory(VEHICLE, "FIXEDBODYTRUCKS", "Fixed-body Trucks", "images/cat_fixedbodytrucks.dds", "TRUCKS", 1); -- Credits: Farmer_Andy

    self:addCategory(VEHICLE, "HKLVEHICLES", "Hooklift Vehicles", "images/cat_hklvehicles.dds", "TRUCKS", 2); -- Credits: NLD Community + Giants
    self:addCategory(VEHICLE, "HKLTRUCKS", "Hooklift Trucks", "images/cat_hkltrucks.dds", "TRUCKS", 2); -- Credits: NLD Community
    self:addCategory(VEHICLE, "ARVEHICLES", "SwapBody/AR Vehicles", "images/cat_arvehicles.dds", "TRUCKS", 2); -- Credits: BlackSheep Modding
    self:addCategory(VEHICLE, "ARTRUCKS", "SwapBody/AR Trucks", "images/cat_artrucks.dds", "TRUCKS", 2); -- Credits: BlackSheep Modding
    
    -- Categories positioned based on WHEELLOADERVEHICLES
    -- self:addCategory(VEHICLE, "BACKHOELOADERS", "Backhoe Loaders", "images/cat_backhoeloaders.dds", "WHEELLOADERVEHICLES", 1); --TODO: TBD
    
    -- Categories positioned based on SKIDSTEERVEHICLES
    self:addCategory(VEHICLE, "BULLDOZER", "Bulldozers", "images/cat_bulldozers.dds", "SKIDSTEERVEHICLES", 1); -- Free PNG
    self:addCategory(VEHICLE, "BULLDOZERS", "Bulldozers", "images/cat_bulldozers.dds", "SKIDSTEERVEHICLES", 1); -- Free PNG
    self:addCategory(VEHICLE, "EXCAVATORS", "Excavators", "images/cat_excavators.dds", "SKIDSTEERVEHICLES", 2); -- Credits: BlackSheep
    self:addCategory(VEHICLE, "CONSTRUCTION", "Construction / Mining", "images/cat_construction.dds", "SKIDSTEERVEHICLES", 3); -- Credits: WZL + Giants
    
    -- Categories positioned based on MISCVEHICLES
    self:addCategory(VEHICLE, "EMERGENCY", "Emergency / Rescue", "images/cat_default.dds", "MISCVEHICLES", 1); --TODO: TBD
    self:addCategory(VEHICLE, "COMMUNAL", "Municipal / Public Works", "images/cat_default.dds", "MISCVEHICLES", 1); --TODO: TBD
    
    
    --? ### TOOLS & IMPLEMENTS ###

    
    -- Specialized
    self:addCategory(TOOL, "HKLEQUIPMENT", "Hooklift Equipment", "images/cat_hkltools.dds", "TRAILERS", -8); -- Credits: Giants
    self:addCategory(TOOL, "HKLTOOLS", "Hooklift Containers", "images/cat_hkltools.dds", "HKLEQUIPMENT", 0); -- Credits: Giants
    self:addCategory(TOOL, "HKLTRAILERS", "Hooklift Trailers", "images/cat_hkltrailers.dds", "TRAILERS", -2); -- Credits: Giants
    self:addCategory(TOOL, "AREQUIPMENT", "SwapBody Equipment", "images/cat_arframes.dds", "HKLEQUIPMENT", 1); -- Credits: BlackSheep Modding
    self:addCategory(TOOL, "ARFRAMES", "SwapBody Superstructures", "images/cat_arframes.dds", "AREQUIPMENT", 0); -- Credits: BlackSheep Modding
    self:addCategory(TOOL, "ARTRAILERS", "SwapBody Trailers", "images/cat_artrailers.dds", "HKLTRAILERS", 1); -- Credits: VBM Modding

    -- self:addCategory(OBJECT, "SKIPSONTAINERS", "Skips & Containers", "images/cat_containers.dds", "MISC", -1); -- Credits: Giants
    self:addCategory(TOOL, "CRANETOOLS", "Cranes & Transport", "images/cat_cranestools.dds", "SKIDSTEERTOOLS", 5); -- Credits: BlackSheep + Giants
    -- self:addCategory(TOOL, "HANDTOOLS", "Hand Tools", "images/cat_handtools.dds", "MISC", -1); -- Credits: Giants
    
    self:addCategory(TOOL, "LIQUIDSTRANSPORT", "Liquids Transport", "images/cat_liquidstransport.dds", "TRAILERS", 1); -- Preferred name   -- Credits: Farmer_Andy + Giants
    self:addCategory(TOOL, "LIQUIDTRANSPORT", "Liquids Transport", "images/cat_liquidstransport.dds", "LIQUIDSTRANSPORT", 0); -- CategoryAdder compat  -- Credits: Farmer_Andy + Giants
    self:addCategory(TOOL, "LIQUIDSTRANSPORTALL", "Liquids Transport", "images/cat_liquidstransportall.dds", "LIQUIDSTRANSPORT", 0); -- Credits: Farmer_Andy + Giants
    self:addCategory(TOOL, "TANKSHOSES", "Tanks & Hoses", "images/cat_tankshoses.dds", "TRAILERS", -9);  -- Credits: Farmer_Andy

    -- Trailers
    self:addCategory(TOOL, "LIGHTTRAILERS", "Light Trailers", "$data/vehicles/boeckmann/mhal4320/store_mhal4320.dds", "TRAILERS", -3); -- Credits: Giants
    self:addCategory(TOOL, "UTILITYTRAILERS", "Utility Trailers", "images/cat_atvtrailers.dds", "LIGHTTRAILERS", -1); -- Credits: Farmer_Andy
    self:addCategory(TOOL, "ATVTRAILERS", "UTV / ATV Trailers", "images/cat_atvtrailers.dds", "LIGHTTRAILERS", -1); -- Credits: Farmer_Andy
    -- self:addCategory(TOOL, "LIGHTTRAILERS", "Light / Car Trailers", "images/cat_lighttrailers.dds", "TRAILERS", -1); -- Credits: Euro Agri Modding
    self:addCategory(TOOL, "FLATBEDTRAILERS", "Flatbed Trailers", "images/cat_default.dds", "TRAILERS", 1); --TODO: TBD
    -- self:addCategory(TOOL, "LOWLOADERTRAILER", "Equipment Trailers", "images/cat_default.dds", "TRAILERS", 2); --TODO: TBD
    self:addCategory(TOOL, "FIXEDBODYTRAILERS", "Fixed-body Trailers", "images/cat_default.dds", "TRAILERS", 2); -- Credits: Farmer_Andy
    self:addCategory(TOOL, "LIQUIDSTRAILERS", "Liquids Trailers", "$data/vehicles/lizard/mks8/store_mks8.dds", "TRAILERS", 3); -- Credits: Giants

    -- Semitrailers
    self:addCategory(TOOL, "SEMITRAILERS", "Semitrailers", "$data/vehicles/krone/profiLiner/store_profiLiner.dds", "LOWLOADERS", 1); --TODO: fix hack!!
    self:addCategory(TOOL, "FLATBEDSEMITRAILERS", "Flatbed Semitrailers", "$data/vehicles/krone/profiLiner/store_profiLiner.dds", "SEMITRAILERS", 2); --TODO: TBD
    self:addCategory(TOOL, "BULKSEMITRAILERS", "Bulk Semitrailers", "$data/vehicles/lodeKing/distinctionTripleHopper/store_distinctionTripleHopper.dds", "SEMITRAILERS", 3); -- Credits: Giants
    self:addCategory(TOOL, "LIQUIDSEMITRAILERS", "Liquids Semitrailers", "$data/vehicles/lizard/mks32/store_mks32.dds", "SEMITRAILERS", 4); -- Credits: Giants
    self:addCategory(TOOL, "LIQUIDSSEMITRAILERS", "Liquids Semitrailers", "$data/vehicles/lizard/mks32/store_mks32.dds", "SEMITRAILERS", 4); -- Credits: Giants

    -- Equipment
    self:addCategory(TOOL, "BULLDOZERTOOLS", "Bulldozer Tools", "images/cat_dozertools.dds", "SKIDSTEERTOOLS", 1); -- Free PNG
    self:addCategory(TOOL, "DOZERTOOLS", "Bulldozer Tools", "images/cat_dozertools.dds", "SKIDSTEERTOOLS", 1); -- Free PNG
    self:addCategory(TOOL, "EXCAVATORTOOLS", "Excavator / Backhoe Tools", "images/cat_excavatortools.dds", "SKIDSTEERTOOLS", 2);  -- Credits: BlackSheep
    self:addCategory(TOOL, "BACKHOETOOLS", "Excavator / Backhoe Tools", "images/cat_excavatortools.dds", "SKIDSTEERTOOLS", 2); -- Credits: BlackSheep
    self:addCategory(TOOL, "CONSTRUCTIONTOOLS", "Construction / Mining Tools", "images/cat_constructiontools.dds", "SKIDSTEERTOOLS", 3);  -- Credits: WZL + Giants

    --? ### OBJECTS ###
    --TODO: needed?
    -- self:addCategory(OBJECT, "PALLETS", "Pallets", "$data/objects/pallets/pioneer/store_pioneerPallet.dds", "PALLETS", 1); -- Credits: Giants
    -- self:addCategory(OBJECT, "IBCPALLETS", "IBC Tanks", "$data/objects/pallets/liquidTank/store_fertilizerTank.dds", "PALLETS", 1); -- Credits: Giants
    -- self:addCategory(OBJECT, "DECORATIVEPALLETS", "Decorative Pallets", "images/cat_decorativepallets.dds", "BALES", 1) -- Credits: Free PNG
end